RUNCON(1)

BEZEICHNUNG
runcon - Befehl mit dem angegebenen Sicherheitskontext ausführen

ÜBERSICHT
runcon KONTEXT BEFEHL [args]
runcon [ -c ] [-u ANWENDER] [-r ROLLE] [-t TYP] [-l BEREICH] BEFEHL [ARGUMENTE]

BESCHREIBUNG
BEFEHL mit vollständig angegebenem KONTEXT oder mit aktuellem oder gewandeltem Sicherheitskontext ausführen, der durch eine oder mehrere Angaben von STUFE, ROLLE, TYP und ANWENDER geändert wurde.

Falls weder -c, -t, -u, -r noch -l angegeben ist, wird das erste Argument als vollständiger Kontext benutzt. Jegliche zusätzlichen Argumente nach BEFEHL werden als Argumente des Befehls interpretiert.

Beachten Sie, dass wahrscheinlich nur vorsichtig ausgewählte Kontexte erfolgreich ausgeführt werden können.

Ein Programm in einem anderen SELinux-Sicherheitskontext ausführen. Wenn weder KONTEXT noch BEFEHL gegeben sind, den aktuellen Sicherheitskontext ausgeben.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

KONTEXT
    vollständiger Sicherheitskontext

-c, --compute
    Prozessübergangskontext vor der Änderung berechnen

-t, --type=TYP
    Typ (für die selbe Rolle wie Elternelement)

-u, --user=ANWENDER
    Anwenderidentität

-r, --role=ROLLE
    Rolle

-l, --range=BEREICH
    Stufenbereich

--help
    zeigt Hilfeinformationen an und beendet das Programm.

--version
    gibt Versionsinformationen aus und beendet das Programm.

  Rückgabewert:

125 falls der Befehl runcon selbst fehlschlägt

126 falls der BEFEHL zwar gefunden wurde, aber nicht aufgerufen werden kann

127 falls der BEFEHL nicht gefunden wurde

-   ansonsten der Rückgabewert des BEFEHLs

AUTOR
Geschrieben von Russell Coker.

FEHLER MELDEN
Onlinehilfe für GNU coreutils: https://www.gnu.org/software/coreutils/
Melden Sie Fehler in der Übersetzung an das deutschsprachige Team beim GNU Translation Project (https://translationproject.org/team/de.html).

COPYRIGHT
Copyright © 2023 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 (https://gnu.org/licenses/gpl.html) oder neuer.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Vollständige Dokumentation unter: <https://www.gnu.org/software/coreutils/runcon>
oder lokal verfügbar mit: info '(coreutils) runcon invocation'

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Piefel <piefel@debian.org>, Michael Schmidt <michael@guug.de>, Chris Leick <c.leick@vollbio.de> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).